# $Revision: 1.18 $, $Date: 2007/02/11 00:33:09 $
Summary:	Checks DNS files for errors
Summary(pl):	Wyszukiwanie bdw w plikach DNS
Name:		nslint
Version:	2.1a6
Release:	1
License:	BSD
Group:		Networking/Utilities
Source0:	ftp://ftp.ee.lbl.gov/%{name}-%{version}.tar.gz
# Source0-md5:	ebd860efae831147b095f53d81fb9947
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-do_not_check_for_libsnl.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nslint is a lint-like program that checks DNS files for errors. DNS or
Domain Name System generally maps names to IP addresses and e-mail
addresses in a hierarchical fashion.

Errors detected include missing trailing dots, illegal characters (RFC
1034), A records without matching PTR records and vice-versa,
duplicate names in a subnet, duplicate names for an address, names
with CNAME records (RFC 1033) missing quotes, and unknown keywords.

%description -l pl
nslint jest programem podobnym do linta, ktry wyszukuje bdy w
plikach DNS. DNS jest systemem odwzorowujcym nazwy na adresy IP w
sposb hierarchiczny.

Wyszukiwane bdy to brakujce kropki koczce, nielegalne znaki (RFC
1034), rekordy A bez odpowiadajcych rekordw PTR (i odwrotnie),
powtrzone nazwy w podsieci, powtrzone nazwy dla adresu, nazwy z
rekordami CNAME (RFC 1033), brakujce cudzysowy, nieznane sowa
kluczowe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/nslint
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nslint.spec,v $
Revision 1.18  2007/02/11 00:33:09  areq
- 2.1a6

Revision 1.17  2004/04/02 21:19:15  qboosh
- updated to 2.1a3, refresh config.sub (very ancient)

Revision 1.16  2003/05/28 12:59:55  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/27 18:27:39  juandon
- new %%doc

Revision 1.13  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/30 21:21:00  kloczek
- release 6.

Revision 1.9  2001/10/11 13:37:42  qboosh
- adapterized, pl translations, BuildRequires: autoconf

Revision 1.8  2000/10/12 04:16:36  kloczek
- release 5: use new rpm automation.

Revision 1.7  2000/08/22 22:05:59  kloczek
- release 4,
- added do_not_check_for_libsnl - witch removes checlink for libnsl from
  autoconf.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.2  1999/10/29 16:23:51  kloczek
- rewrited in PLD coding style.

* Tue Jun 22 1999 Dan Anderson <danx@cts.com>
- Created package
